<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/VertexConst.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">VertexConst.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vertex_const_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_8h.html">eicd/Vertex.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_const_8h.html">eicd/VertexConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_obj_8h.html">eicd/VertexObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_data_8h.html">eicd/VertexData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_collection_8h.html">eicd/VertexCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_reconstructed_particle_8h.html">eicd/ReconstructedParticle.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">   17</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">ConstVertex::ConstVertex</a>() : m_obj(new <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>()) {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a674d407a908a70ab32ac09976a9abc56">   21</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">ConstVertex::ConstVertex</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">primary</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">chi2</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">probability</a>, <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> <a class="code" href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">position</a>) : m_obj(new <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>()) {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a> = <a class="code" href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">primary</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a> = <a class="code" href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">chi2</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a> = <a class="code" href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">probability</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a> = <a class="code" href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">position</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#ac5d05f64dce28527c9f2fc777bf9da15">   29</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">ConstVertex::ConstVertex</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a182f24d53f262944dec3e8fd077a5c15">   33</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a182f24d53f262944dec3e8fd077a5c15">ConstVertex::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; other) {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a2f8965f079a718d57d416e40e628c003">   39</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">ConstVertex::ConstVertex</a>( <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#ae4d976e4637cbfa1e1e2bffd8abbbd13">   43</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a> <a class="code" href="classeic_1_1_const_vertex.html#ae4d976e4637cbfa1e1e2bffd8abbbd13">ConstVertex::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>(*m_obj)};</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a4c8fcd525184c912d3c9e76b0f40a2bc">   47</a></span>&#160;<a class="code" href="classeic_1_1_const_vertex.html#a4c8fcd525184c912d3c9e76b0f40a2bc">ConstVertex::~ConstVertex</a>() {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">   50</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">ConstVertex::primary</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a>; }</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">   51</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">ConstVertex::chi2</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a>; }</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">ConstVertex::probability</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">   53</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">ConstVertex::position</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>; }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a777bb02c3357c3e7118e151da7966b05">   54</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a777bb02c3357c3e7118e151da7966b05">ConstVertex::x</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">x</a>; }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#aaf6e608161e40f5348e2d4e4a8f56c88">   55</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#aaf6e608161e40f5348e2d4e4a8f56c88">ConstVertex::y</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">y</a>; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a7acad1af48d13ddd06ecf308ddf4b85f">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#a7acad1af48d13ddd06ecf308ddf4b85f">ConstVertex::z</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">z</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#aefccffb95d6d89c6e7c95cde6b91adb0">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_vertex.html#aefccffb95d6d89c6e7c95cde6b91adb0">ConstVertex::t</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>.<a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>.<a class="code" href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">t</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a9a80b21aa148438e9a59823db3c82b26">   59</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> <a class="code" href="classeic_1_1_const_vertex.html#a9a80b21aa148438e9a59823db3c82b26">ConstVertex::particle</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keywordflow">if</span> (!m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>) {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>(<span class="keyword">nullptr</span>);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  }</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>(*(m_obj-&gt;<a class="code" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a>));</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a87b1372f58cf5e0bdaaf325073666660">   71</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_vertex.html#a87b1372f58cf5e0bdaaf325073666660">ConstVertex::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a41d5a304441e3bd86aace5fa22a89dc9">   78</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_vertex.html#a41d5a304441e3bd86aace5fa22a89dc9">ConstVertex::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classeic_1_1_const_vertex.html#a41df76cc8d4c81c5defb4ecfb81e9139">   85</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_vertex.html#a85c6bc7d5ff338926aa22988d695d758">ConstVertex::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;}</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="ttc" id="classeic_1_1_const_vertex_html_a87b1372f58cf5e0bdaaf325073666660"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a87b1372f58cf5e0bdaaf325073666660">eic::ConstVertex::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00071">VertexConst.cc:71</a></div></div>
<div class="ttc" id="_vertex_obj_8h_html"><div class="ttname"><a href="_vertex_obj_8h.html">VertexObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a5a84687c9589cf01acb821943ef8f4bc"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">eic::VertexData::chi2</a></div><div class="ttdeci">float chi2</div><div class="ttdoc">Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00018">VertexData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a182f24d53f262944dec3e8fd077a5c15"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a182f24d53f262944dec3e8fd077a5c15">eic::ConstVertex::operator=</a></div><div class="ttdeci">ConstVertex &amp; operator=(const ConstVertex &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00033">VertexConst.cc:33</a></div></div>
<div class="ttc" id="_vertex_const_8h_html"><div class="ttname"><a href="_vertex_const_8h.html">VertexConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a2f4b1b96afac21259782a9f310d68b71"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a2f4b1b96afac21259782a9f310d68b71">eic::ConstVertex::primary</a></div><div class="ttdeci">const int &amp; primary() const</div><div class="ttdoc">Access the Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00050">VertexConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_aaf6e608161e40f5348e2d4e4a8f56c88"><div class="ttname"><a href="classeic_1_1_const_vertex.html#aaf6e608161e40f5348e2d4e4a8f56c88">eic::ConstVertex::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00055">VertexConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_ae347ee95d3330b53d02cb17466174874"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#ae347ee95d3330b53d02cb17466174874">eic::VectorXYZT::y</a></div><div class="ttdeci">double y</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00014">VectorXYZT.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_ae4d976e4637cbfa1e1e2bffd8abbbd13"><div class="ttname"><a href="classeic_1_1_const_vertex.html#ae4d976e4637cbfa1e1e2bffd8abbbd13">eic::ConstVertex::clone</a></div><div class="ttdeci">ConstVertex clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00043">VertexConst.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a9a80b21aa148438e9a59823db3c82b26"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a9a80b21aa148438e9a59823db3c82b26">eic::ConstVertex::particle</a></div><div class="ttdeci">const ::eic::ConstReconstructedParticle particle() const</div><div class="ttdoc">Access the Reconstructed Particle associated to the Vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00059">VertexConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aae3cf05102b6482aaf12dd8eeb9d7d59"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aae3cf05102b6482aaf12dd8eeb9d7d59">eic::VectorXYZT::z</a></div><div class="ttdeci">double z</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00015">VectorXYZT.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html"><div class="ttname"><a href="classeic_1_1_vertex_obj.html">eic::VertexObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00022">VertexObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html_ac76fb704d9786c60c39e262814c19ae5"><div class="ttname"><a href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">eic::VertexObj::data</a></div><div class="ttdeci">VertexData data</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00034">VertexObj.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a777bb02c3357c3e7118e151da7966b05"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a777bb02c3357c3e7118e151da7966b05">eic::ConstVertex::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00054">VertexConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a86da198bfa231f5a76d2e4ca0f88209a"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a86da198bfa231f5a76d2e4ca0f88209a">eic::ConstVertex::ConstVertex</a></div><div class="ttdeci">ConstVertex()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00017">VertexConst.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a512879552418c69b35cfb17c4e5a927c"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">eic::VertexData::primary</a></div><div class="ttdeci">int primary</div><div class="ttdoc">Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00017">VertexData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_ac4136c3146b768e8295a78ae54c9ed39"><div class="ttname"><a href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">eic::VertexData::probability</a></div><div class="ttdeci">float probability</div><div class="ttdoc">Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00019">VertexData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_aa6eb35c80e38ca34929d9dfa55ec33ed"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#aa6eb35c80e38ca34929d9dfa55ec33ed">eic::VectorXYZT::x</a></div><div class="ttdeci">double x</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00013">VectorXYZT.h:13</a></div></div>
<div class="ttc" id="_vertex_8h_html"><div class="ttname"><a href="_vertex_8h.html">Vertex.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a4c8fcd525184c912d3c9e76b0f40a2bc"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a4c8fcd525184c912d3c9e76b0f40a2bc">eic::ConstVertex::~ConstVertex</a></div><div class="ttdeci">~ConstVertex()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00047">VertexConst.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html"><div class="ttname"><a href="classeic_1_1_const_vertex.html">eic::ConstVertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00029">VertexConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_af300e08ae0bba5359f765acbe8083737"><div class="ttname"><a href="classeic_1_1_const_vertex.html#af300e08ae0bba5359f765acbe8083737">eic::ConstVertex::position</a></div><div class="ttdeci">const eic::VectorXYZT &amp; position() const</div><div class="ttdoc">Access the postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00053">VertexConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_aefccffb95d6d89c6e7c95cde6b91adb0"><div class="ttname"><a href="classeic_1_1_const_vertex.html#aefccffb95d6d89c6e7c95cde6b91adb0">eic::ConstVertex::t</a></div><div class="ttdeci">const double &amp; t() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00057">VertexConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a290f223ac4c48c73dc367ae6a694d6bc"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a290f223ac4c48c73dc367ae6a694d6bc">eic::ConstVertex::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00051">VertexConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html_acb244fd15098e5d8f334dbb4b3cb5739"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html#acb244fd15098e5d8f334dbb4b3cb5739">eic::VectorXYZT::t</a></div><div class="ttdeci">double t</div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00016">VectorXYZT.h:16</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html_a3b6a1cadde49177db7f082d74b63ca9e"><div class="ttname"><a href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">eic::VertexObj::m_particle</a></div><div class="ttdeci">::eic::ConstReconstructedParticle * m_particle</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00035">VertexObj.h:35</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a41d5a304441e3bd86aace5fa22a89dc9"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a41d5a304441e3bd86aace5fa22a89dc9">eic::ConstVertex::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00078">VertexConst.cc:78</a></div></div>
<div class="ttc" id="_reconstructed_particle_8h_html"><div class="ttname"><a href="_reconstructed_particle_8h.html">ReconstructedParticle.h</a></div></div>
<div class="ttc" id="_vertex_data_8h_html"><div class="ttname"><a href="_vertex_data_8h.html">VertexData.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a636f635662f4f05ebad2637752e1747d"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a636f635662f4f05ebad2637752e1747d">eic::ConstVertex::probability</a></div><div class="ttdeci">const float &amp; probability() const</div><div class="ttdoc">Access the Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00052">VertexConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a85c6bc7d5ff338926aa22988d695d758"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a85c6bc7d5ff338926aa22988d695d758">eic::ConstVertex::operator==</a></div><div class="ttdeci">bool operator==(const ConstVertex &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00089">VertexConst.h:89</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a9a84393282f9a5ae3a14c67289c7836b"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">eic::VertexData::position</a></div><div class="ttdeci">::eic::VectorXYZT position</div><div class="ttdoc">postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00020">VertexData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html_a7acad1af48d13ddd06ecf308ddf4b85f"><div class="ttname"><a href="classeic_1_1_const_vertex.html#a7acad1af48d13ddd06ecf308ddf4b85f">eic::ConstVertex::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8cc_source.html#l00056">VertexConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html"><div class="ttname"><a href="classeic_1_1_vertex.html">eic::Vertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00031">Vertex.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00011">VectorXYZT.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_const_reconstructed_particle_html"><div class="ttname"><a href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_const_8h_source.html#l00033">ReconstructedParticleConst.h:33</a></div></div>
<div class="ttc" id="_vertex_collection_8h_html"><div class="ttname"><a href="_vertex_collection_8h.html">VertexCollection.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
